From: "David Seifert" <soap@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-arch/lz5/
Date: Sat, 2 Jul 2022 20:07:09 +0000 (UTC) [thread overview]
Message-ID: <1656792415.983561f65a26de21f9b65268584ea01ad8905af0.soap@gentoo> (raw)
commit: 983561f65a26de21f9b65268584ea01ad8905af0
Author: David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Sat Jul 2 20:06:55 2022 +0000
Commit: David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Sat Jul 2 20:06:55 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=983561f6
app-arch/lz5: update EAPI 6 -> 8
Signed-off-by: David Seifert <soap <AT> gentoo.org>
app-arch/lz5/{lz5-2.0.ebuild => lz5-2.0-r1.ebuild} | 17 ++++++++---------
1 file changed, 8 insertions(+), 9 deletions(-)
diff --git a/app-arch/lz5/lz5-2.0.ebuild b/app-arch/lz5/lz5-2.0-r1.ebuild
similarity index 64%
rename from app-arch/lz5/lz5-2.0.ebuild
rename to app-arch/lz5/lz5-2.0-r1.ebuild
index 9a430c70373f..fa598cb0f31f 100644
--- a/app-arch/lz5/lz5-2.0.ebuild
+++ b/app-arch/lz5/lz5-2.0-r1.ebuild
@@ -1,7 +1,7 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=6
+EAPI=8
inherit toolchain-funcs
@@ -12,7 +12,6 @@ SRC_URI="https://github.com/inikep/lz5/archive/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="GPL-2 BSD-2"
SLOT="0/2"
KEYWORDS="~amd64"
-IUSE="static-libs"
src_prepare() {
default
@@ -21,13 +20,13 @@ src_prepare() {
}
src_compile() {
- emake -Clib CC="$(tc-getCC)" lib liblz5.pc
- emake -Cprograms CC="$(tc-getCC)" lz5
+ emake -C lib CC="$(tc-getCC)" lib liblz5.pc
+ emake -C programs CC="$(tc-getCC)" lz5
}
src_install() {
- emake install DESTDIR="${D}" PREFIX="/usr" LIBDIR="/usr/$(get_libdir)"
- if ! use static-libs; then
- rm "${D}"/usr/$(get_libdir)/liblz5.a || die
- fi
+ emake install DESTDIR="${ED}" PREFIX="/usr" LIBDIR="/usr/$(get_libdir)"
+ rm "${ED}"/usr/$(get_libdir)/liblz5.a || die
+
+ einstalldocs
}
next reply other threads:[~2022-07-02 20:07 UTC|newest]
Thread overview: 4+ messages / expand[flat|nested] mbox.gz Atom feed top
2022-07-02 20:07 David Seifert [this message]
-- strict thread matches above, loose matches on Subject: below --
2017-07-23 11:58 [gentoo-commits] repo/gentoo:master commit in: app-arch/lz5/ Manuel Rüger
2017-02-22 12:26 Manuel Rüger
2017-02-22 12:22 Manuel Rüger
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1656792415.983561f65a26de21f9b65268584ea01ad8905af0.soap@gentoo \
--to=soap@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox